package com.bocloud.cmp.provider.agile.network;

import com.bocloud.cmp.provider.SuperProvider;
import com.bocloud.common.model.BocloudResult;
import com.bocloud.nms.model.agile.AgileLogicSwitchModel;

import java.util.List;

public interface LogicSwitchProvider extends SuperProvider {
    public BocloudResult<List<AgileLogicSwitchModel>> list();

    BocloudResult<AgileLogicSwitchModel> create(AgileLogicSwitchModel switchModel);

    BocloudResult<?> remove(String switchUuid);

    BocloudResult<AgileLogicSwitchModel> detail(String switchUuid);

    BocloudResult<AgileLogicSwitchModel> modify(AgileLogicSwitchModel switchModel);
}
